kind: pipeline
type: docker
name: release-lapsha

trigger:
  event:
    - push

steps:
  - name: build
    image: node:16
    commands:
      - node -v
      - npm -v
      - npm install arrow-line
      - yarn --version
      - yarn add @vue/cli-service
      - yarn install
      - yarn build

  - name: scp
    image: appleboy/drone-scp
    settings:
      host: 
        from_secret: ssh_ip
      username:
        from_secret: ssh_user
      key:
        from_secret: ssh_key
      port:
        from_secret: ssh_port
      target: /home/crab/deploys/lapsha.3crabs.ru
      source:
        - dist
      rm: true